mutex.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_MUTEX | GWEN_MUTEX

## Functions

GWENHYWFAR_API void | GWEN_Mutex_free (GWEN_MUTEX *mtx)
GWENHYWFAR_API int | GWEN_Mutex_Lock (GWEN_MUTEX *mtx)
GWENHYWFAR_API GWEN_MUTEX * | GWEN_Mutex_new (void)
GWENHYWFAR_API int | GWEN_Mutex_Unlock (GWEN_MUTEX *mtx)

## Typedef Documentation

## GWEN_MUTEX

typedef struct GWEN_MUTEX GWEN_MUTEX

Definition at line 37 of file mutex.h.

## Function Documentation

## GWEN_Mutex_free()

GWENHYWFAR_API void GWEN_Mutex_free | ( | GWEN_MUTEX * | mtx | ) |

References GWENHYWFAR_API.

## GWEN_Mutex_Lock()

GWENHYWFAR_API int GWEN_Mutex_Lock | ( | GWEN_MUTEX * | mtx | ) |

References GWENHYWFAR_API.

## GWEN_Mutex_new()

GWENHYWFAR_API GWEN_MUTEX * GWEN_Mutex_new | ( | void |  | ) |

References GWENHYWFAR_API.

## GWEN_Mutex_Unlock()

GWENHYWFAR_API int GWEN_Mutex_Unlock | ( | GWEN_MUTEX * | mtx | ) |

References GWENHYWFAR_API.